## liblockfile 0.1-4

=== Makefile ===

VER	= 0.1

CFLAGS	= -fPIC -Wall -O2 -I. -D_REENTRANT -D_GNU_SOURCE

ALL:	liblockfile.so.$(VER) nfslock.so.$(VER)

liblockfile.a:	lockfile.o
		ar rv liblockfile.a lockfile.o

liblockfile.so.$(VER): liblockfile.a
		$(CC) -fPIC -shared -Wl,-soname,liblockfile.so.0 \
			-o liblockfile.so.$(VER) lockfile.o -lc

nfslock.so.$(VER):	nfslock.o
		$(CC) -fPIC -shared -Wl,-soname,nfslock.so.0 \
			-o nfslock.so.$(VER) nfslock.o

clean:
	rm -f *.a *.o *.so *.so.*

=== debian/changelog ===
liblockfile (0.1-4) unstable; urgency=low

  * Fixes:
    #13974: liblockfile-dev: maillock(3) mentions other manpages, that are not
    #18521: liblockfile-dev should not include /usr/lib/liblockfile.so
    #19042: liblockfile-dev: Overlap with liblockfile0
    #18527: liblockfile0: liblockfile0 include .so link in liblockfile-dev
    #19041: liblockfile0: Overlap with liblockfle-dev and no conflict
    #19108: liblockfile0 has incorrect shlibs listed
    #18607: libnfslock: postinst and prerm scripts fail if ld.so.preload only
    #18913: libnfslock: package description

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun,  8 Mar 1998 22:41:49 +0100

liblockfile (0.1-3) unstable; urgency=low

  * Added version in name for nfslock.so (now nfslock.so.0.1)
  * Added shlibs file for nfslock
  * Add missing symlinks
    Fixes:
    #14413: /usr/doc/$(PACKAGE)/copyright should not be compressed
    #17693: liblockfile0 has executabnle changelog.gz
    #16489: liblockfile0 lacks dependency information
    #14155: lockfile_create could ignore some errors
    #14423: /usr/doc/$(PACKAGE)/copyright should not be compressed
    #15220: liblockfile-dev changelog is executable
    #14412: /usr/doc/$(PACKAGE)/copyright should not be compressed

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 19 Feb 1998 23:15:01 +0100

liblockfile (0.1-2) unstable; urgency=low

  * Compiled with libc6 and with -lc
  * Compile with -D_REENTRANT and -D_GNU_SOURCE
  * Apart from returning the L_XXX values, also set errno to something
    resonable.
  * Reckognize common NFS lockfiles from mailx

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 24 Sep 1997 12:52:44 +0200

liblockfile (0.1-1) unstable; urgency=low

  * First Debian release.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 6 Jul 1997 16:04:55 +0200

=== debian/control ===
Source: liblockfile
Section: devel
Priority: optional
Maintainer:  Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.4.0.0

Package: libnfslock
Section: admin
Architecture: any
Description: Preload library that overrides open() to make O_EXCL work over NFS.
 The use of this library is meant as a temporary measure until all applications
 use liblockfile (or a compatible method) to do proper NFS-safe file locking.

Package: liblockfile0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared library with NFS-safe locking functions.

Package: liblockfile-dev
Section: devel
Architecture: any
Depends: liblockfile0 (=${Source-Version})
Description: Development library for liblockfile.
  Includes headers and documentation.

## liblockfile 0.1-6

=== debian/changelog ===
liblockfile (0.1-6) frozen unstable; urgency=high

  * Fixed libnfslock to work together with mutt's mutt_dotlock.
    This has high urgency because otherwise mutt won't be able
    to lock your mailbox 95% of the time.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  2 Dec 1998 17:39:54 +0100

liblockfile (0.1-5) unstable; urgency=low

  * Added L_MANLOCK define for compatibility , it's not actually used.
  * Fixes bugs:
    #21925 liblockfile man page is inaccurate
    #27275 liblockfile0: wishlist "user" argument for mailunlock and touchlock.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Oct 1998 12:35:42 +0200

=== debian/rules ===
#! /usr/bin/make -f
#

MVER	= 0
SOVER	= 0.1

tmp	= debian/tmp

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	make clean
	-rm -rf build $(tmp)* debian/files debian/substvars

binary-indep: checkroot
	$(checkdir)

binary-arch: checkroot
	$(checkdir)
	#
	#	First, liblockfile.so.0
	#
	-rm -rf $(tmp)*
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/usr/lib
	install -d -o root -m 755 $(tmp)/usr/doc/liblockfile0
	#
	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
	install -o root -m 755 debian/shlibs $(tmp)/DEBIAN
	install -o root -m 644 -s liblockfile.so.$(SOVER) $(tmp)/usr/lib
	ln -s liblockfile.so.$(SOVER) $(tmp)/usr/lib/liblockfile.so.$(MVER)
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/doc/liblockfile0/changelog
	gzip -9f $(tmp)/usr/doc/liblockfile0/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/doc/liblockfile0/copyright
	dpkg-shlibdeps liblockfile.so.$(SOVER)
	dpkg-gencontrol -pliblockfile0 -P$(tmp)
	dpkg --build $(tmp) ..
	#
	#	Now build liblockfile-dev
	#
	-rm -rf $(tmp)*
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/usr/lib
	install -d -o root -m 755 $(tmp)/usr/include
	install -d -o root -m 755 $(tmp)/usr/man/man3
	install -d -o root -m 755 $(tmp)/usr/doc/liblockfile-dev
	#
	install -o root -m 644 lockfile.h maillock.h $(tmp)/usr/include
	ln -s liblockfile.so.$(SOVER) $(tmp)/usr/lib/liblockfile.so
	install -o root -m 644 maillock.3 $(tmp)/usr/man/man3
	install -o root -m 644 lockfile_create.3 $(tmp)/usr/man/man3
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/doc/liblockfile-dev/changelog
	gzip -9f $(tmp)/usr/doc/liblockfile-dev/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/doc/liblockfile-dev/copyright
	gzip -9f $(tmp)/usr/man/*/*
	dpkg-gencontrol -pliblockfile-dev -P$(tmp)
	dpkg --build $(tmp) ..
	#
	#	Finally, build libnfslock.
	#
	-rm -rf $(tmp)*
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/lib
	install -d -o root -m 755 $(tmp)/usr/doc/libnfslock
	#
	install -o root -m 755 debian/shlibs.nfslock $(tmp)/DEBIAN/shlibs
	install -o root -m 755 debian/postinst.nfs $(tmp)/DEBIAN/postinst
	install -o root -m 755 debian/prerm.nfs $(tmp)/DEBIAN/prerm
	install -o root -m 644 nfslock.so.$(SOVER) $(tmp)/lib
	ln -s nfslock.so.$(SOVER) $(tmp)/lib/nfslock.so.$(MVER)
	ln -s nfslock.so.$(SOVER) $(tmp)/lib/nfslock.so
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/doc/libnfslock/changelog
	gzip -9f $(tmp)/usr/doc/libnfslock/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/doc/libnfslock/copyright
	dpkg-gencontrol -plibnfslock -P$(tmp)
	dpkg --build $(tmp) ..

define checkdir
	test -f lockfile.c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: config build clean binary binary-arch binary-indep

## liblockfile 1.01

=== debian/changelog ===
liblockfile (1.01) unstable; urgency=low

  * Fix "clean" target in debian/rules
  * Fixes bugs:
    #39813: Liblockfile failes to build because of missing Makefile
    #39864: liblockfile_1.0(unstable): can't clean already empty tree

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 21 Jun 1999 19:47:17 +0200

liblockfile (1.0) unstable; urgency=low

  * Added autoconf to the distribution so that this package might
    be used outside Debian and even outside Linux.
  * New soname for liblockfile; API change.
  * Included command-line utility "dotlockfile" (setgid mail) and manpage
  * library can call "dotlockfile" to do the actual locking - mailprograms
    do not need to be setgid mail anymore!
  * Doesn't include libnfslock anymore
  * Fixes: #29572: liblockfile0 bad packaging

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  5 Jun 1999 17:19:30 +0200

=== debian/control ===
Source: liblockfile
Section: devel
Priority: optional
Maintainer:  Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.4.0.0

Package: liblockfile1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared library with NFS-safe locking functions. Includes the
 command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: devel
Architecture: any
Depends: liblockfile1 (=${Source-Version})
Description: Development library for liblockfile.
  Includes headers and documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,26 @@
 #! /usr/bin/make -f
 #
 
-MVER	= 0
-SOVER	= 0.1
+# libnfslock
+NMVER	= 0
+NSOVER	= 0.1
+
+# liblockfile
+MVER	= 1
+SOVER	= 1.0
 
 tmp	= debian/tmp
 
 build:
 	$(checkdir)
+	./configure --enable-shared --prefix=/usr \
+		--with-mailgroup
 	make
 	touch build
 
 clean:
 	$(checkdir)
-	make clean
+	[ ! -f Makefile ] || make distclean
 	-rm -rf build $(tmp)* debian/files debian/substvars
 
 binary-indep: checkroot
@@ -22,25 +29,30 @@
 binary-arch: checkroot
 	$(checkdir)
 	#
-	#	First, liblockfile.so.0
+	#	First, liblockfile.so.1
 	#
 	-rm -rf $(tmp)*
 	install -d -o root -m 755 $(tmp)
 	install -d -o root -m 755 $(tmp)/DEBIAN
 	install -d -o root -m 755 $(tmp)/usr/lib
-	install -d -o root -m 755 $(tmp)/usr/doc/liblockfile0
+	install -d -o root -m 755 $(tmp)/usr/bin
+	install -d -o root -m 755 $(tmp)/usr/man/man1
+	install -d -o root -m 755 $(tmp)/usr/doc/liblockfile1
 	#
 	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
 	install -o root -m 755 debian/shlibs $(tmp)/DEBIAN
-	install -o root -m 644 -s liblockfile.so.$(SOVER) $(tmp)/usr/lib
+	install -o root -m 644 -s liblockfile.so \
+		$(tmp)/usr/lib/liblockfile.so.$(SOVER)
+	install -o root -m 644 dotlockfile.1 $(tmp)/usr/man/man1
+	install -g mail -m 2755 -s dotlockfile $(tmp)/usr/bin/dotlockfile
 	ln -s liblockfile.so.$(SOVER) $(tmp)/usr/lib/liblockfile.so.$(MVER)
 	install -o root -m 644 debian/changelog \
-		$(tmp)/usr/doc/liblockfile0/changelog
-	gzip -9f $(tmp)/usr/doc/liblockfile0/*
+		$(tmp)/usr/doc/liblockfile1/changelog
+	gzip -9f $(tmp)/usr/doc/liblockfile1/*
 	install -o root -m 644 COPYRIGHT \
-		$(tmp)/usr/doc/liblockfile0/copyright
-	dpkg-shlibdeps liblockfile.so.$(SOVER)
-	dpkg-gencontrol -pliblockfile0 -P$(tmp)
+		$(tmp)/usr/doc/liblockfile1/copyright
+	dpkg-shlibdeps liblockfile.so
+	dpkg-gencontrol -pliblockfile1 -P$(tmp)
 	dpkg --build $(tmp) ..
 	#
 	#	Now build liblockfile-dev
@@ -65,8 +77,11 @@
 	gzip -9f $(tmp)/usr/man/*/*
 	dpkg-gencontrol -pliblockfile-dev -P$(tmp)
 	dpkg --build $(tmp) ..
+
+
+binary-nfslock:	checkroot
 	#
-	#	Finally, build libnfslock.
+	#	build libnfslock (OBSOLETE)
 	#
 	-rm -rf $(tmp)*
 	install -d -o root -m 755 $(tmp)
@@ -77,9 +92,9 @@
 	install -o root -m 755 debian/shlibs.nfslock $(tmp)/DEBIAN/shlibs
 	install -o root -m 755 debian/postinst.nfs $(tmp)/DEBIAN/postinst
 	install -o root -m 755 debian/prerm.nfs $(tmp)/DEBIAN/prerm
-	install -o root -m 644 nfslock.so.$(SOVER) $(tmp)/lib
-	ln -s nfslock.so.$(SOVER) $(tmp)/lib/nfslock.so.$(MVER)
-	ln -s nfslock.so.$(SOVER) $(tmp)/lib/nfslock.so
+	install -o root -m 644 nfslock.so.$(NSOVER) $(tmp)/lib
+	ln -s nfslock.so.$(NSOVER) $(tmp)/lib/nfslock.so.$(NMVER)
+	ln -s nfslock.so.$(NSOVER) $(tmp)/lib/nfslock.so
 	install -o root -m 644 debian/changelog \
 		$(tmp)/usr/doc/libnfslock/changelog
 	gzip -9f $(tmp)/usr/doc/libnfslock/*

## liblockfile 1.03

=== debian/changelog ===
liblockfile (1.03) unstable; urgency=low

  * Some more manpage updates
  * Set priority for liblockfile1 to "important" (closes: #92551)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  6 Apr 2001 09:53:32 +0200

liblockfile (1.02) unstable; urgency=low

  * Maintainer upload (closes: #87488, #80753, #87670, #48886, #50564, #57890, #80601)
  * Added section to manpages that explains that you need to flush
    the actual file being locked after locking (closes: #43491)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 29 Mar 2001 00:55:55 +0200

liblockfile (1.01.2) unstable; urgency=low

  * Non-Maintainer Upload for Bug Squashing Party.
  * Fix typo in postrm, closes: #87670.
  * Removed *~ from sources.

 -- Jordi Mallach <jordi@debian.org>  Sat, 17 Mar 2001 05:09:54 +0100

liblockfile (1.01.1) unstable; urgency=low

  * NMU for bugsquashing day.
  * Updated man pages and usr/doc dir to FHS, Closes: #80753 (serious)
  * Only run ldconfig in postinst if the package is being configured.
  * Run ldconfig in the postrm on removal.
  * Fixed shlibs file perms, Closes: #50564, #57890
  * Fixed descriptions, Closes: #80601
  * Fixed man page typo, Closes: #48886
  * Lintian clean except the warning about the setgid binary.

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Feb 2001 13:55:27 -0800

=== debian/rules ===
#! /usr/bin/make -f
#

# libnfslock
NMVER	= 0
NSOVER	= 0.1

# liblockfile
MVER	= 1
SOVER	= 1.0

tmp	= debian/tmp

build:
	$(checkdir)
	./configure --enable-shared --prefix=/usr \
		--with-mailgroup --mandir=/usr/share/man
	make
	touch build

clean:
	[ ! -f Makefile ] || make distclean
	-rm -rf build $(tmp)* debian/files debian/substvars

binary-indep: checkroot
	$(checkdir)

binary-arch: checkroot
	$(checkdir)
	#
	#	First, liblockfile.so.1
	#
	-rm -rf $(tmp)*
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/usr/lib
	install -d -o root -m 755 $(tmp)/usr/bin
	install -d -o root -m 755 $(tmp)/usr/share/man/man1
	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile1
	#
	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
	install -o root -m 755 debian/prerm $(tmp)/DEBIAN
	install -o root -m 755 debian/postrm $(tmp)/DEBIAN
	install -o root -m 644 debian/shlibs $(tmp)/DEBIAN
	install -o root -m 644 -s liblockfile.so \
		$(tmp)/usr/lib/liblockfile.so.$(SOVER)
	install -o root -m 644 dotlockfile.1 $(tmp)/usr/share/man/man1
	gzip -9f $(tmp)/usr/share/man/*/*
	install -g mail -m 2755 -s dotlockfile $(tmp)/usr/bin/dotlockfile
	ln -s liblockfile.so.$(SOVER) $(tmp)/usr/lib/liblockfile.so.$(MVER)
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/share/doc/liblockfile1/changelog
	gzip -9f $(tmp)/usr/share/doc/liblockfile1/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/share/doc/liblockfile1/copyright
	dpkg-shlibdeps liblockfile.so
	dpkg-gencontrol -pliblockfile1 -P$(tmp) -isp
	dpkg --build $(tmp) ..
	#
	#	Now build liblockfile-dev
	#
	-rm -rf $(tmp)*
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/usr/lib
	install -d -o root -m 755 $(tmp)/usr/include
	install -d -o root -m 755 $(tmp)/usr/share/man/man3
	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile-dev
	#
	install -o root -m 644 lockfile.h maillock.h $(tmp)/usr/include
	ln -s liblockfile.so.$(SOVER) $(tmp)/usr/lib/liblockfile.so
	install -o root -m 644 maillock.3 $(tmp)/usr/share/man/man3
	install -o root -m 644 lockfile_create.3 $(tmp)/usr/share/man/man3
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/share/doc/liblockfile-dev/changelog
	gzip -9f $(tmp)/usr/share/doc/liblockfile-dev/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/share/doc/liblockfile-dev/copyright
	gzip -9f $(tmp)/usr/share/man/*/*
	install -o root -m 755 debian/postinst.liblockfile-dev \
		$(tmp)/DEBIAN/postinst
	install -o root -m 755 debian/prerm.liblockfile-dev \
		$(tmp)/DEBIAN/prerm
	dpkg-gencontrol -pliblockfile-dev -P$(tmp) -isp
	dpkg --build $(tmp) ..


binary-nfslock:	checkroot
	#
	#	build libnfslock (OBSOLETE)
	#
	-rm -rf $(tmp)*
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/lib
	install -d -o root -m 755 $(tmp)/usr/share/doc/libnfslock
	#
	install -o root -m 644 debian/shlibs.nfslock $(tmp)/DEBIAN/shlibs
	install -o root -m 755 debian/postinst.nfs $(tmp)/DEBIAN/postinst
	install -o root -m 755 debian/prerm.nfs $(tmp)/DEBIAN/prerm
	install -o root -m 644 nfslock.so.$(NSOVER) $(tmp)/lib
	ln -s nfslock.so.$(NSOVER) $(tmp)/lib/nfslock.so.$(NMVER)
	ln -s nfslock.so.$(NSOVER) $(tmp)/lib/nfslock.so
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/share/doc/libnfslock/changelog
	gzip -9f $(tmp)/usr/share/doc/libnfslock/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/share/doc/libnfslock/copyright
	dpkg-gencontrol -plibnfslock -P$(tmp)
	dpkg --build $(tmp) ..

define checkdir
	test -f lockfile.c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: config build clean binary binary-arch binary-indep

## liblockfile 1.06

=== debian/changelog ===
liblockfile (1.06) unstable; urgency=low

  * Fix manpage - fd = open("/var/mail/USER.lock") should be
    fd = open("/var/mail/USER");
  * Remove extraneous free() from lockfile.c (closes: #217740)
  * If the existing lockfile is not valid, the first try isn't really
    valid either - in that case, even if we want to try locking just
    once, try once more.  (closes: #217741)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 17:16:04 +0200

liblockfile (1.05) unstable; urgency=low

  * Fix "does not give a valid preprocessing token" cpp problem
    (closes: #194823)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  2 Jun 2003 14:27:58 +0200

liblockfile (1.04) unstable; urgency=low

  * Dynamically allocate filename memory, do not use
    MAXPATHLEN sized static buffers (closes: #144129, #105973)
  * Make the '-c' option of dotlockfile(1) actually work (closes: #103998)
  * Dotlockfile '-r' arg error checking
  * Note in manpages that unlocking a non-existant file is not an error.
  * Note in dotlockfile manpage that the lockfile_create manpage
    is in the liblockfile-dev package.
  * Update COPYRIGHT file (closes: #178200)
  * Don't sleep for 5 seconds when we removed an invalid lockfile
    (closes: #131316)
  * This upload will force a rebuild with current binutils (closes: #176340)
  * Add symlinks for manpages (closes: #99546)
  * Add static library liblockfile.a to liblockfile-dev (closes: #183817)
  * Actually handle 'retries' as number of *re*tries everywhere,
    not the number of tries.
  * Document that the default number of retries in dotlockfile is 5.
  * Add a '-t' (touchlock) option to dotlockfile (closes: #41791)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 15 May 2003 16:29:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,15 @@
 
 tmp	= debian/tmp
 
-build:
+build:	config.status
 	$(checkdir)
-	./configure --enable-shared --prefix=/usr \
-		--with-mailgroup --mandir=/usr/share/man
 	make
 	touch build
 
+config.status:
+	./configure --enable-shared --prefix=/usr \
+		--with-mailgroup --mandir=/usr/share/man
+	
 clean:
 	[ ! -f Makefile ] || make distclean
 	-rm -rf build $(tmp)* debian/files debian/substvars
@@ -69,14 +71,20 @@
 	#
 	install -o root -m 644 lockfile.h maillock.h $(tmp)/usr/include
 	ln -s liblockfile.so.$(SOVER) $(tmp)/usr/lib/liblockfile.so
+	install -o root -m 644 liblockfile.a $(tmp)/usr/lib
 	install -o root -m 644 maillock.3 $(tmp)/usr/share/man/man3
 	install -o root -m 644 lockfile_create.3 $(tmp)/usr/share/man/man3
+	gzip -9f $(tmp)/usr/share/man/*/*
+	ln -sf lockfile_create.3.gz $(tmp)/usr/share/man/man3/lockfile_check.3.gz
+	ln -sf lockfile_create.3.gz $(tmp)/usr/share/man/man3/lockfile_touch.3.gz
+	ln -sf lockfile_create.3.gz $(tmp)/usr/share/man/man3/lockfile_remove.3.gz
+	ln -sf maillock.3.gz $(tmp)/usr/share/man/man3/mailunlock.3.gz
+	ln -sf maillock.3.gz $(tmp)/usr/share/man/man3/touchlock.3.gz
 	install -o root -m 644 debian/changelog \
 		$(tmp)/usr/share/doc/liblockfile-dev/changelog
 	gzip -9f $(tmp)/usr/share/doc/liblockfile-dev/*
 	install -o root -m 644 COPYRIGHT \
 		$(tmp)/usr/share/doc/liblockfile-dev/copyright
-	gzip -9f $(tmp)/usr/share/man/*/*
 	install -o root -m 755 debian/postinst.liblockfile-dev \
 		$(tmp)/DEBIAN/postinst
 	install -o root -m 755 debian/prerm.liblockfile-dev \

## liblockfile 1.06.1

=== debian/changelog ===
liblockfile (1.06.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove postinst and prerm scripts, completing the /usr/doc tarnsition.
    Closes: #322790

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jan 2006 01:21:31 -0500

## liblockfile 1.06.1ubuntu1

=== debian/changelog ===
liblockfile (1.06.1ubuntu1) edgy; urgency=low

  * glibc 2.4 added an eaccess declaration to unistd.h; rename our eaccess
    function to eaccess_write (closes: Malone #65837).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Oct 2006 14:16:05 +0100

## liblockfile 1.06.2

=== debian/changelog ===
liblockfile (1.06.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rename eaccess() to eaccess_write() as eaccess is now a glibc function.
    Patch by Colin Watson. Closes: #392779.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2007 19:28:33 +0200

=== debian/control ===
Source: liblockfile
Section: devel
Priority: standard
Maintainer:  Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 3.5.2.0

Package: liblockfile1
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}
Description: NFS-safe locking library, includes dotlockfile program
 Liblockfile is a shared library with NFS-safe locking functions. It
 includes the command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: devel
Priority: optional
Architecture: any
Depends: liblockfile1 (=${Source-Version})
Description: Development library for liblockfile.
 This is a development library for liblockfile. It includes headers and
 documentation.

=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,6 @@
 	install -d -o root -m 755 $(tmp)/usr/share/man/man1
 	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile1
 	#
-	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
-	install -o root -m 755 debian/prerm $(tmp)/DEBIAN
 	install -o root -m 755 debian/postrm $(tmp)/DEBIAN
 	install -o root -m 644 debian/shlibs $(tmp)/DEBIAN
 	install -o root -m 644 -s liblockfile.so \
@@ -85,10 +83,6 @@
 	gzip -9f $(tmp)/usr/share/doc/liblockfile-dev/*
 	install -o root -m 644 COPYRIGHT \
 		$(tmp)/usr/share/doc/liblockfile-dev/copyright
-	install -o root -m 755 debian/postinst.liblockfile-dev \
-		$(tmp)/DEBIAN/postinst
-	install -o root -m 755 debian/prerm.liblockfile-dev \
-		$(tmp)/DEBIAN/prerm
 	dpkg-gencontrol -pliblockfile-dev -P$(tmp) -isp
 	dpkg --build $(tmp) ..

## liblockfile 1.08

=== debian/changelog ===
liblockfile (1.08-4) unstable; urgency=low

  * Merge 1.08-3ubuntu1
    Compute md5sums during build
    Closes: 563544, 564797
  * Debian source format is 3.0 (quilt)
    Add 04-505851-remove-debug-code.patch
  * Add important information to dotlockfile.1
    Add 06-493462-dotlockfile.1.patch
    Update usage message
    Add 07-493462-dotlockfile.c.patch
    Patches by Roland Eggner
    Closes: 493462
  * Make ar overwritable (for cross-builds)
    Add 09-562937-make-ar-overwrittable.patch
    Patch by Marc Kleine-Budde and Wolfram Sang
    Closes: 562937
  * Fix out-of-date-standards-version
    Add 02-COPYRIGHT.patch
  * Fix copyright-refers-to-symlink-license
  * Fix maintainer-script-without-set-e

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Feb 2010 08:57:06 +1100

liblockfile (1.08-3ubuntu1) lucid; urgency=low

  * Compute md5sums during build.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 12 Jan 2010 00:08:22 +0100

liblockfile (1.08-3) unstable; urgency=high

  * Don't stale lockfiles after 10 seconds instead of 5 minutes;
    patch by Wolfram Sang; closes: #505851
  * Handle nostrip build option; patch by Justin Pryzby; closes: #437374
  * debian/rules: Don't ignore error status of rm -fr; patch by Justin Pryzby
  * debian/rules: Remove stampfiles first; patch by Justin Pryzby

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 18 Nov 2008 00:00:38 +1100

liblockfile (1.08-2) unstable; urgency=low

  * Miquel van Smoorenburg is the maintainer; closes: #465090, #492412
  * Standards-Version is 3.8.0
  * liblockfile1 depends on ${misc:Depends}

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Jul 2008 15:46:48 +1000

liblockfile (1.08-1) unstable; urgency=low

  * Upload with both miquels and anibal as maintainer, which I think
    is the correct solution as log as #465090 is still open.
  * next to debian/changelog there's also Changelog
  * new upstream version

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 24 Jul 2008 22:43:18 +0200

liblockfile (1.07-1) unstable; urgency=low

  * New maintainer. Closes: #465090 
  * ACKed NMUs. Closes: #392779, #322790
  * Fixed "liblockfile1: fails to call ldconfig". Closes: #376409
  * Fixed "liblockfile-dev: upgrade from sarge + purge leaves
    /usr/share/doc/liblockfile1/liblockfile-dev". Closes: #339498
  * Fixed "liblockfile1: option -u is duplicated". Closes: #416271
  * This package is non-native
  * Bumped Standards-Version to 3.7.3
  * liblockfile1: priority is standard
  * liblockfile-dev: section is libdevel
  * Fixed the following lintian message:
    - liblockfile source: substvar-source-version-is-deprecated liblockfile-dev
    - liblockfile-dev: dev-package-should-be-section-libdevel liblockfile-dev
    - liblockfile1: postinst-must-call-ldconfig usr/lib/liblockfile.so.1.0
    - liblockfile-dev: description-synopsis-might-not-be-phrased-properly
    - liblockfile1: debian-changelog-file-missing-or-wrong-name
    - liblockfile-dev: debian-changelog-file-missing-or-wrong-name

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 05 Apr 2008 12:14:10 +1000

=== debian/control ===
Source: liblockfile
Section: devel
Priority: standard
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.8.4

Package: liblockfile1
Section: libs
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NFS-safe locking library, includes dotlockfile program
 Liblockfile is a shared library with NFS-safe locking functions. It
 includes the command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblockfile1 (=${binary:Version})
Description: Development library for liblockfile
 This is a development library for liblockfile. It includes headers and
 documentation.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,14 @@
 
 tmp	= debian/tmp
 
+do_md5sums = cd $(tmp) && find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums
+
+INSTALL=install
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL+=-s
+endif
+
+
 build:	config.status
 	$(checkdir)
 	make
@@ -21,8 +29,8 @@
 		--with-mailgroup --mandir=/usr/share/man
 	
 clean:
+	rm -rf build $(tmp)* debian/files debian/substvars
 	[ ! -f Makefile ] || make distclean
-	-rm -rf build $(tmp)* debian/files debian/substvars
 
 binary-indep: checkroot
 	$(checkdir)
@@ -32,7 +40,7 @@
 	#
 	#	First, liblockfile.so.1
 	#
-	-rm -rf $(tmp)*
+	rm -rf $(tmp)*
 	install -d -o root -m 755 $(tmp)
 	install -d -o root -m 755 $(tmp)/DEBIAN
 	install -d -o root -m 755 $(tmp)/usr/lib
@@ -40,26 +48,30 @@
 	install -d -o root -m 755 $(tmp)/usr/share/man/man1
 	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile1
 	#
+	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
 	install -o root -m 755 debian/postrm $(tmp)/DEBIAN
 	install -o root -m 644 debian/shlibs $(tmp)/DEBIAN
-	install -o root -m 644 -s liblockfile.so \
+	$(INSTALL) -o root -m 644 liblockfile.so \
 		$(tmp)/usr/lib/liblockfile.so.$(SOVER)
 	install -o root -m 644 dotlockfile.1 $(tmp)/usr/share/man/man1
 	gzip -9f $(tmp)/usr/share/man/*/*
-	install -g mail -m 2755 -s dotlockfile $(tmp)/usr/bin/dotlockfile
+	$(INSTALL) -g mail -m 2755 dotlockfile $(tmp)/usr/bin/dotlockfile
 	ln -s liblockfile.so.$(SOVER) $(tmp)/usr/lib/liblockfile.so.$(MVER)
 	install -o root -m 644 debian/changelog \
+		$(tmp)/usr/share/doc/liblockfile1/changelog.Debian
+	install -o root -m 644 Changelog \
 		$(tmp)/usr/share/doc/liblockfile1/changelog
 	gzip -9f $(tmp)/usr/share/doc/liblockfile1/*
 	install -o root -m 644 COPYRIGHT \
 		$(tmp)/usr/share/doc/liblockfile1/copyright
+	$(do_md5sums)
 	dpkg-shlibdeps liblockfile.so
 	dpkg-gencontrol -pliblockfile1 -P$(tmp) -isp
 	dpkg --build $(tmp) ..
 	#
 	#	Now build liblockfile-dev
 	#
-	-rm -rf $(tmp)*
+	rm -rf $(tmp)*
 	install -d -o root -m 755 $(tmp)
 	install -d -o root -m 755 $(tmp)/DEBIAN
 	install -d -o root -m 755 $(tmp)/usr/lib
@@ -79,10 +91,13 @@
 	ln -sf maillock.3.gz $(tmp)/usr/share/man/man3/mailunlock.3.gz
 	ln -sf maillock.3.gz $(tmp)/usr/share/man/man3/touchlock.3.gz
 	install -o root -m 644 debian/changelog \
+		$(tmp)/usr/share/doc/liblockfile-dev/changelog.Debian
+	install -o root -m 644 Changelog \
 		$(tmp)/usr/share/doc/liblockfile-dev/changelog
 	gzip -9f $(tmp)/usr/share/doc/liblockfile-dev/*
 	install -o root -m 644 COPYRIGHT \
 		$(tmp)/usr/share/doc/liblockfile-dev/copyright
+	$(do_md5sums)
 	dpkg-gencontrol -pliblockfile-dev -P$(tmp) -isp
 	dpkg --build $(tmp) ..
 
@@ -91,7 +106,7 @@
 	#
 	#	build libnfslock (OBSOLETE)
 	#
-	-rm -rf $(tmp)*
+	rm -rf $(tmp)*
 	install -d -o root -m 755 $(tmp)
 	install -d -o root -m 755 $(tmp)/DEBIAN
 	install -d -o root -m 755 $(tmp)/lib
@@ -104,10 +119,13 @@
 	ln -s nfslock.so.$(NSOVER) $(tmp)/lib/nfslock.so.$(NMVER)
 	ln -s nfslock.so.$(NSOVER) $(tmp)/lib/nfslock.so
 	install -o root -m 644 debian/changelog \
+		$(tmp)/usr/share/doc/libnfslock/changelog.Debian
+	install -o root -m 644 Changelog \
 		$(tmp)/usr/share/doc/libnfslock/changelog
 	gzip -9f $(tmp)/usr/share/doc/libnfslock/*
 	install -o root -m 644 COPYRIGHT \
 		$(tmp)/usr/share/doc/libnfslock/copyright
+	$(do_md5sums)
 	dpkg-gencontrol -plibnfslock -P$(tmp)
 	dpkg --build $(tmp) ..

## liblockfile 1.09

=== debian/changelog ===
liblockfile (1.09-6ubuntu1) trusty; urgency=low

  * Explicitly set CC with DEB_HOST_GNU_TYPE if we're cross-compiling.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 06 Dec 2013 19:42:56 -0700

liblockfile (1.09-6) unstable; urgency=low

  * Merge 1.09-5ubuntu1
    fix-buffer-overflows.patch: Fix buffer overflows when building strings
    - Protect against overflows caused by long hostnames (LP: #941968)
    - Protect against overflows caused by large PID numbers (LP: #1011477)
    Closes: #677225
  * In Makefile.in it compiles nfslock.so.$(NVER) but installs nfslock.so.$(VER) 
    Add 688074-Makefile.in-NVER.patch
    Patch by Yao Zhao
    Closes: #688074
  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 02 Jun 2013 19:45:54 +1000

liblockfile (1.09-5ubuntu1) raring; urgency=low

  * debian/patches/fix-buffer-overflows.patch: Fix buffer overflows when
    building strings
    - Protect against overflows caused by long hostnames (LP: #941968)
    - Protect against overflows caused by large PID numbers (LP: #1011477)

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 09 Jan 2013 12:23:07 -0800

liblockfile (1.09-5) unstable; urgency=low

  [ Rob Browning ]
  * Don't remove /usr/share/doc/liblockfile1 from the postrm anymore.
    Doing so breaks multarch, and it appears that the code was originally
    inserted to fix an upgrade problem (#339498) from 2005.
    (closes: #695268)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 11 Dec 2012 20:24:45 +1100

liblockfile (1.09-4) unstable; urgency=low

  * Multiarch issues
    - Move liblockfile.a to /usr/lib/$(DEB_HOST_MULTIARCH)
    - Compress files with "gzip -n"
    Patch by Sven Joachim
    Closes: #637569
  * Enable hardened build flags
    Add Makefile.in.patch
  * Standards version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Jun 2012 21:28:38 +1000

liblockfile (1.09-3) unstable; urgency=high

  * add Replaces/Breaks liblockfile1 for liblockfile-bin (closes: #637555)
  * make liblockfile-bin Multiarch: foreign (closes: #637568)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 13 Aug 2011 00:18:46 +0200

liblockfile (1.09-2) unstable; urgency=high

  * fix debian/files botchup (fixes: #637465)
  * fix more lintian warnings and errors

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 12 Aug 2011 09:27:57 +0200

liblockfile (1.09-1) unstable; urgency=low

  * New upstream version (fixes: #406471, #547721, #273112)
  * Make package multi-arch compliant
  * Add lintian override for setgid mail helper
  * Delete whitespace adjusting macro stuff from dotlockfile.1
  * Remove shlib depends from dotlockfile control file entry

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 10 Aug 2011 18:44:10 +0200

=== debian/control ===
Source: liblockfile
Section: devel
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.9.4
Build-depends: dpkg-dev (>= 1.16.1~)

Package: liblockfile1
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, liblockfile-bin (>=${binary:Version})
Description: NFS-safe locking library
 Liblockfile is a shared library with NFS-safe locking functions.

Package: liblockfile-bin
Section: utils
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblockfile1 (<< 1.09-1)
Breaks: liblockfile1 (<< 1.09-1)
Description: support binaries for and cli utilities based on liblockfile
 This package contains support binaries for the liblockfile library,
 and the command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblockfile1 (=${binary:Version})
Description: Development library for liblockfile
 This is a development library for liblockfile. It includes headers and
 documentation.

=== debian/rules ===
#! /usr/bin/make -f
#

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# liblockfile
MVER	= 1
SOVER	= 1.0

tmp	= debian/tmp

do_md5sums = cd $(tmp) && find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums

INSTALL=install
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL+=-s
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	export CC = $(DEB_HOST_GNU_TYPE)-gcc
	INSTALL += --strip-program=$(DEB_HOST_GNU_TYPE)-strip
endif

build-arch:	config.status
	$(checkdir)
	make
	touch build

build-indep:

config.status:
	./configure --enable-shared --prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--with-mailgroup --mandir=/usr/share/man
	
clean:
	rm -rf build $(tmp)* debian/files debian/substvars
	[ ! -f Makefile ] || make distclean

binary-indep: checkroot
	$(checkdir)

binary-arch: checkroot
	$(checkdir)
	#
	#	First, liblockfile.so.1
	#
	rm -rf $(tmp)*
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/usr/lib
	install -d -o root -m 755 $(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)
	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile1
	#
	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
	install -o root -m 755 debian/postrm $(tmp)/DEBIAN
	install -o root -m 644 debian/shlibs $(tmp)/DEBIAN
	$(INSTALL) -o root -m 644 liblockfile.so \
		$(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)/liblockfile.so.$(SOVER)
	ln -s liblockfile.so.$(SOVER) \
		$(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)/liblockfile.so.$(MVER)
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/share/doc/liblockfile1/changelog.Debian
	install -o root -m 644 Changelog \
		$(tmp)/usr/share/doc/liblockfile1/changelog
	gzip -n -9f $(tmp)/usr/share/doc/liblockfile1/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/share/doc/liblockfile1/copyright
	$(do_md5sums)
	dpkg-shlibdeps liblockfile.so
	dpkg-gencontrol -pliblockfile1 -P$(tmp) -isp
	dpkg --build $(tmp) ..
	#
	#	Build liblockfile-bin
	#
	rm -rf $(tmp)*
	rm -f debian/substvars
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/usr/bin
	install -d -o root -m 755 $(tmp)/usr/share/man/man1
	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile-bin
	#
	install -o root -m 644 dotlockfile.1 $(tmp)/usr/share/man/man1
	gzip -9fn $(tmp)/usr/share/man/*/*
	$(INSTALL) -g mail -m 2755 dotlockfile $(tmp)/usr/bin/dotlockfile
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/share/doc/liblockfile-bin/changelog.Debian
	install -o root -m 644 Changelog \
		$(tmp)/usr/share/doc/liblockfile-bin/changelog
	gzip -9fn $(tmp)/usr/share/doc/liblockfile-bin/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/share/doc/liblockfile-bin/copyright
	install -d -o root -m 755 $(tmp)/usr/share/lintian
	install -d -o root -m 755 $(tmp)/usr/share/lintian/overrides
	install -o root -m 644 debian/liblockfile-bin.overrides \
		$(tmp)/usr/share/lintian/overrides/liblockfile-bin
	$(do_md5sums)
	dpkg-shlibdeps dotlockfile
	dpkg-gencontrol -pliblockfile-bin -P$(tmp) -isp
	dpkg --build $(tmp) ..
	#
	#	Build liblockfile-dev
	#
	rm -rf $(tmp)*
	rm -f debian/substvars
	install -d -o root -m 755 $(tmp)
	install -d -o root -m 755 $(tmp)/DEBIAN
	install -d -o root -m 755 $(tmp)/usr/lib
	install -d -o root -m 755 $(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)
	install -d -o root -m 755 $(tmp)/usr/include
	install -d -o root -m 755 $(tmp)/usr/share/man/man3
	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile-dev
	#
	install -o root -m 644 lockfile.h maillock.h $(tmp)/usr/include
	ln -s liblockfile.so.$(SOVER) \
		$(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)/liblockfile.so
	install -o root -m 644 liblockfile.a $(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)
	install -o root -m 644 maillock.3 $(tmp)/usr/share/man/man3
	install -o root -m 644 lockfile_create.3 $(tmp)/usr/share/man/man3
	gzip -9f $(tmp)/usr/share/man/*/*
	ln -sf lockfile_create.3.gz $(tmp)/usr/share/man/man3/lockfile_check.3.gz
	ln -sf lockfile_create.3.gz $(tmp)/usr/share/man/man3/lockfile_touch.3.gz
	ln -sf lockfile_create.3.gz $(tmp)/usr/share/man/man3/lockfile_remove.3.gz
	ln -sf maillock.3.gz $(tmp)/usr/share/man/man3/mailunlock.3.gz
	ln -sf maillock.3.gz $(tmp)/usr/share/man/man3/touchlock.3.gz
	install -o root -m 644 debian/changelog \
		$(tmp)/usr/share/doc/liblockfile-dev/changelog.Debian
	install -o root -m 644 Changelog \
		$(tmp)/usr/share/doc/liblockfile-dev/changelog
	gzip -9f $(tmp)/usr/share/doc/liblockfile-dev/*
	install -o root -m 644 COPYRIGHT \
		$(tmp)/usr/share/doc/liblockfile-dev/copyright
	$(do_md5sums)
	dpkg-gencontrol -pliblockfile-dev -P$(tmp) -isp
	dpkg --build $(tmp) ..


define checkdir
	test -f lockfile.c -a -f debian/rules
endef

binary: binary-indep binary-arch

build:	build-indep build-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: config clean build build-arch build-indep binary binary-arch binary-indep

## liblockfile 1.09-6

=== debian/changelog ===
liblockfile (1.09-6-2) unstable; urgency=low

  * build for dilos

 -- Igor Kozhukhov <ikozhukhov@gmail.com>  Wed, 21 Sep 2016 22:20:41 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: liblockfile
 Section: devel
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
+Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Standards-Version: 3.9.4
 Build-depends: dpkg-dev (>= 1.16.1~)
@@ -12,7 +11,7 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+#Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, liblockfile-bin (>=${binary:Version})
 Description: NFS-safe locking library
  Liblockfile is a shared library with NFS-safe locking functions.

=== debian/rules ===
--- 
+++ 
@@ -14,22 +14,15 @@
 do_md5sums = cd $(tmp) && find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums
 
 INSTALL=install
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL+=-s
-endif
+#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+#	INSTALL+=-s
+#endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-	export CC = $(DEB_HOST_GNU_TYPE)-gcc
-	INSTALL += --strip-program=$(DEB_HOST_GNU_TYPE)-strip
-endif
 
 build-arch:	config.status
 	$(checkdir)
-	make
+	$(MAKE)
 	touch build
 
 build-indep:
@@ -58,8 +51,8 @@
 	install -d -o root -m 755 $(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)
 	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile1
 	#
-	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
-	install -o root -m 755 debian/postrm $(tmp)/DEBIAN
+#	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
+#	install -o root -m 755 debian/postrm $(tmp)/DEBIAN
 	install -o root -m 644 debian/shlibs $(tmp)/DEBIAN
 	$(INSTALL) -o root -m 644 liblockfile.so \
 		$(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)/liblockfile.so.$(SOVER)
@@ -137,6 +130,10 @@
 	gzip -9f $(tmp)/usr/share/doc/liblockfile-dev/*
 	install -o root -m 644 COPYRIGHT \
 		$(tmp)/usr/share/doc/liblockfile-dev/copyright
+
+	# we have this file from illumos system headers
+	rm -f $(tmp)/usr/include/maillock.h
+
 	$(do_md5sums)
 	dpkg-gencontrol -pliblockfile-dev -P$(tmp) -isp
 	dpkg --build $(tmp) ..

## liblockfile 1.13

=== debian/changelog ===
liblockfile (1.13-1) unstable; urgency=low

  * new upstream version

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 05 Jan 2017 23:45:06 +0100

liblockfile (1.12-1) unstable; urgency=low

  * new upstream version (closes: #638800)
  * update upstream url in debian/control

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 05 Jan 2017 12:46:01 +0100

liblockfile (1.11-1) unstable; urgency=low

  * new upstream version
  * use geteuid() instead of getuid() to find out mailboxname
    (closes: #736666)
  * add dotlockfile <lockfile> cmd args... functionality
    (closes: #41791)

 -- Miquel van Smoorenburg <miquels@debian.org>  Tue, 03 Jan 2017 20:46:41 +0100

liblockfile (1.10-1) unstable; urgency=low

  * new upstream version
  * rewrite debian/rules to use debhelper
  * update debian/copyright file (closes: #748387)

 -- Miquel van Smoorenburg <miquels@debian.org>  Fri, 18 Nov 2016 17:02:00 +0100

## liblockfile 1.14

=== debian/changelog ===
liblockfile (1.14-1) unstable; urgency=high

  * new upstream version

 -- Miquel van Smoorenburg <miquels@debian.org>  Tue, 17 Jan 2017 14:05:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Standards-Version: 3.9.4
-Build-depends: dpkg-dev (>= 1.16.1~)
+Build-depends: debhelper (>=9)
+Vcs-Git: https://github.com/miquels/liblockfile.git
+Vcs-Browser: https://github.com/miquels/liblockfile
 
 Package: liblockfile1
 Section: libs
 Priority: standard
 Architecture: any
 Multi-Arch: same
-#Pre-Depends: multiarch-support
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, liblockfile-bin (>=${binary:Version})
 Description: NFS-safe locking library
  Liblockfile is a shared library with NFS-safe locking functions.

## liblockfile 1.15

=== debian/changelog ===
liblockfile (1.15-1) unstable; urgency=low

  * new upstream version
  * add "buildpackage" build script helper.

 -- Miquel van Smoorenburg <miquels@debian.org>  Tue, 23 Jul 2019 23:28:31 +0200

liblockfile (1.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Drop obsolete Pre-Depends on multiarch-support.  (Closes: #867224)
    + Drop duplicate Priority definitions.
    + Mark liblockfile-dev as Multi-Arch:same.
    + Add dependency on ${misc:Depends} to liblockfile-dev.
    + Add Homepage field.
    + Fix Vcs-* fields to point to the packaging repository.  (Closes: #867225)
  * debian/copyright: fix copyright-format 1.0 syntax by adding missing
    Copyright fields and appropriate stand-alone License paragraphs.
  * dotlockfile.1: Fix groff syntax.
  * Remove maintainer scripts calling ldconfig, debhelper does that
    automatically through dpkg triggers nowadays.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Dec 2017 15:17:53 +0100

## liblockfile 1.16

=== debian/changelog ===
liblockfile (1.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with source-only upload to allow testing migration.
  * debian/control:
    - Drop anibal from the uploader list. (Closes: #925036)
  * debian/source/options: Drop customized compression settings.
    (solves lintian warning:
    debian-source-options-has-custom-compression-settings)

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2019 13:55:06 -0400

liblockfile (1.16-1) unstable; urgency=low

  * new upstream version (closes: #933104)
  * never run tests during build (disable dh_auto_test)

 -- Miquel van Smoorenburg <miquels@debian.org>  Thu, 26 Sep 2019 14:32:11 +0200

=== debian/control ===
Source: liblockfile
Section: devel
Priority: standard
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 3.9.4
Build-depends: debhelper (>=9)
Vcs-Git: https://github.com/miquels/liblockfile-debian
Vcs-Browser: https://github.com/miquels/liblockfile-debian
Homepage: https://github.com/miquels/liblockfile

Package: liblockfile1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, liblockfile-bin (>=${binary:Version})
Description: NFS-safe locking library
 Liblockfile is a shared library with NFS-safe locking functions.

Package: liblockfile-bin
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblockfile1 (<< 1.09-1)
Breaks: liblockfile1 (<< 1.09-1)
Description: support binaries for and cli utilities based on liblockfile
 This package contains support binaries for the liblockfile library,
 and the command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: liblockfile1 (=${binary:Version}), ${misc:Depends}
Description: Development library for liblockfile
 This is a development library for liblockfile. It includes headers and
 documentation.

## liblockfile 1.17

=== debian/changelog ===
liblockfile (1.17-2build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 17:57:22 +0000

liblockfile (1.17-2) unstable; urgency=medium

  * Standards-Version: 4.7.0
  * Support rootless builds by default
    Patch by Niels Thykier <niels@thykier.net>
    Closes: #1089364

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 01 Jan 2025 09:02:10 +1100

liblockfile (1.17-1) unstable; urgency=low

  * new upstream version

 -- Miquel van Smoorenburg <miquels@debian.org>  Thu, 28 Jan 2021 15:58:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: devel
 Priority: standard
 Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
-Standards-Version: 3.9.4
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.0
 Build-depends: debhelper (>=9)
 Vcs-Git: https://github.com/miquels/liblockfile-debian
 Vcs-Browser: https://github.com/miquels/liblockfile-debian

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --with-mailgroup

override_dh_auto_test:
	true

override_dh_fixperms:
	dh_fixperms
	@if [ -f debian/liblockfile-bin/usr/bin/dotlockfile ]; then \
		chgrp mail debian/liblockfile-bin/usr/bin/dotlockfile; \
		chmod 2755 debian/liblockfile-bin/usr/bin/dotlockfile; \
	fi
